
from math import pi

def format_number(n):
    """Formats a number in a friendly manner (removes trailing zeros and unneccesary point."""
    
    str_n = "%.6f"%float(n)
    if '.' in str_n:
        str_n = str_n.rstrip('0').rstrip('.')
    str_n = str_n.replace("-0", "0")
    return str_n
    
def degrees_to_radians(degrees):
    """Convert from degrees to radians."""
    return degrees * (pi / 180.)

def deg_to_rad(degrees):
    """Convert from degrees to radians."""
    return degrees * (pi / 180.)
    
def radians_to_degrees(radians):
    """Convert from radians to degrees."""
    return radians * (180. / pi)
    
def rad_to_deg(radians):
    """Convert from radians to degrees."""
    return radians * (180. / pi)

def lerp(a, b, i):
    """Linear enterpolate from a to b."""
    return a+(b-a)*i
